package com.duiba.tuia.youtui.web.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * ClassName: LandUserFormInfo <br/>
 * Function: 表单模板的落地页提交. <br/>
 * date: 2018年4月18日 下午4:46:42 <br/>
 *
 * @author chencheng
 * @version
 * @since JDK 1.8
 */
@ApiModel("自定义字段信息")
public class CustomUserFormInfo {

    /** 字段名称 */
    @ApiModelProperty("字段名称")
    private String  name;

    /** 字段值 */
    @ApiModelProperty("字段值")
    private String  value;

    /** 是否校验 */
    @ApiModelProperty("是否校验")
    private Boolean check;

    /** 校验类型，notNull-非空，text-文本（200字），num-数字（20位），radio-单选，email-邮箱，birthday-生日 */
    @ApiModelProperty("校验类型，notNull-非空，text-文本（200字），num-数字（20位），radio-单选，email-邮箱，birthday-生日")
    private String  type;

    /**
     * type.
     *
     * @return the type
     * @since JDK 1.8
     */
    public String getType() {
        return type;
    }

    /**
     * type.
     *
     * @param type the type to set
     * @since JDK 1.8
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * value.
     *
     * @return the value
     * @since JDK 1.8
     */
    public String getValue() {
        return value;
    }

    /**
     * value.
     *
     * @param value the value to set
     * @since JDK 1.8
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * name.
     *
     * @return the name
     * @since JDK 1.8
     */
    public String getName() {
        return name;
    }

    /**
     * name.
     *
     * @param name the name to set
     * @since JDK 1.8
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * check.
     *
     * @return the check
     * @since JDK 1.8
     */
    public Boolean getCheck() {
        return check;
    }

    /**
     * check.
     *
     * @param check the check to set
     * @since JDK 1.8
     */
    public void setCheck(Boolean check) {
        this.check = check;
    }

}
